# $Revision: 1.20 $, $Date: 2009/10/06 20:09:06 $
Summary:	editres application - dynamic resource editor for X Toolkit applications
Summary(pl.UTF-8):	Aplikacja editres - edytor dynamicznych zasobów dla aplikacji Xt
Name:		xorg-app-editres
Version:	1.0.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/editres-%{version}.tar.bz2
# Source0-md5:	1800dda934ebb7c588ea686278a10e9f
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.3
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
editres is a tool that allows users and application developers to view
the full widget hierarchy of any X Toolkit application that speaks the
Editres protocol. In addition, editres will help the user construct
resource specifications, allow the user to apply the resource to the
application and view the results dynamically. Once the user is happy
with a resource specification editres will append the resource string
to the user's X Resources file.

%description -l pl.UTF-8
editres to narzędzie pozwalające użytkownikom i programistom aplikacji
oglądać pełną hierarchię widgetów dowolnej aplikacji Xt (X Toolkitu)
porozumiewającej się protokołem Editres. Ponadto editres pomaga
użytkownikom tworzyć opisy zasobów, pozwala nakładać zasoby na
aplikacje i dynamicznie oglądać wyniki. Kiedy użytkownik jest
zadowolony z zasobów, editres dołącza łańcuch zasobów do pliku X
Resources użytkownika.

%prep
%setup -q -n editres-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/editres
%{_datadir}/X11/app-defaults/Editres*
%{_mandir}/man1/editres.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-editres.spec,v $
Revision 1.20  2009/10/06 20:09:06  qboosh
- updated util-macros version, added explicit libXmu-devel

Revision 1.19  2009/09/23 06:18:37  arekm
- up to 1.0.4

Revision 1.18  2008/11/11 16:20:29  arekm
- rel 3

Revision 1.17  2008/11/07 20:50:51  arekm
- release 2

Revision 1.16  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.14  2007/01/24 07:07:20  arekm
- up to 1.0.3

Revision 1.13  2006/12/18 20:16:12  qboosh
- descs from manual

Revision 1.12  2006/12/16 01:03:51  arekm
- up to 1.0.2

Revision 1.11  2006/10/15 09:57:09  qboosh
- use individual dir, more verbose files, release 1

Revision 1.10  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.9  2006/01/10 13:22:58  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/08 16:01:54  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 12:38:41  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:17  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 14:55:10  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added editres-man.patch
- added BR: libXaw-devel
- removed redundant BR: libX11-devel
- release 0.02

* Sun Aug  7 2005 16:04:36  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
